Inicio / Alerta Temprana / Avisos Sci / Múltiples vulnerabilidades en CX-Supervisor de Omron

Múltiples vulnerabilidades en CX-Supervisor de Omron

Fecha de publicación: 
14/03/2018
Importancia: 
4 - Alta
Recursos afectados: 
  • [Actualización 21/12/2018]: CX-Supervisor versiones 3.40 y anteriores.
Descripción: 

El investigador conocido como "rgod" a través de Trend Micro’s Zero Day Initiative ha descubierto múltiples vulnerabilidades en CX-Supervisor, estas vulnerabilidades podrían permitir a un atacante la escalada de privilegios en el sistema y la ejecución de código arbitrario.

Solución: 

Omron ha puesto a disposición de sus usuarios una nueva versión, CX-Supervisor versión 3.4.1, para mitigar las vulnerabilidades descubiertas. Esta nueva versión puede descargarse en el siguiente enlace:

Detalle: 

Las vulnerabilidades encontradas son de criticidad media, sus características son las siguientes:

  • Desbordamiento de pila causado por analizar archivos de proyecto defectuosos. Se ha reservado el identificador CVE-2018-7513 para esta vulnerabilidad.
  • Uso de memoria previamente liberada cuando son analizados unos archivos de proyecto específicos. Se ha reservado el identificador CVE-2018-7521 para esta vulnerabilidad.
  • Acceso a puntero no inicializado cuando CX-Supervisor hace una llamada indirecta a un puntero inicializado a la hora de analizar paquetes defectuosos. Se ha reservado el identificador CVE-2018-7515 para esta vulnerabilidad.
  • Doble liberación cuando analizan archivos de proyectos defectuosos. Se ha reservado el identificador CVE-2018-7523 para esta vulnerabilidad.
  • Lectura y escritura fuera de los límites cuando se analizan archivos de proyectos defectuosos. Se ha reservado el identificador CVE-2018-7517 para esta vulnerabilidad.
  • Desreferencia de puntero no fiable cuando se analizan paquetes generados por un ejecutable determinado. Se ha reservado el identificador CVE-2018-7525 para esta vulnerabilidad.
  • Desbordamiento dinámico de búfer cuando son analizados archivos de proyecto defectuosos. Se ha reservado el identificador CVE-2018-7519 para esta vulnerabilidad

Encuesta valoración